Skip to content
Sign In

countTransactions

GET
/v5/books/{bookId}/transactions/count

Count transactions

Authorizations

Parameters

Path Parameters

bookId
required
string

The id of the book. Same bookId url param on Bkper

Query Parameters

query
string

The query to filter transactions

Responses

200

A Count response

object
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
total
integer format: int64
year
integer format: int32

Examples

{
"day": 1,
"fuzzyDate": 1,
"month": 1,
"total": 1,
"year": 1
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string